POPFile 全般 → POPFile 1.1.1 RC2 が公開されました

POPFile 1.1.1 RC2 が公開されました

POPFile 1.1.1 では、いくつかの改善が予定されています。

POPFile 1.1.1 のリリース候補版、POPFile 1.1.1 RC2 の クロスプラットフォーム版
Windows 版Mac OS X 版 がそれぞれ公開されています。

RC1 からの変更点は、非常に大きなデータベース(数十メガバイト)を使用している際に、
メッセージの再分類が高速化されたことです。v1.1.0 と比べ、起動時や、バケツの作成、
削除、名称変更なども高速化されているはずです。大きなデータベースを使っている方は
ぜひお試しください。

RC2 のテストに協力いただける方を引き続き募集しています。テストいただきましたら、
動作した/しないにかかわらず、結果を報告いただければと思います。

  • Message #876

    POPFile (v1.1.1 RC2) の初めての RPM パッケージを公開しました。

    http://getpopfile.org/downloads/popfile-1.1.1-0.2.rc2.noarch.rpm

    rpm のソース (SRPM) もあります。

    http://getpopfile.org/downloads/popfile-1.1.1-0.2.rc2.src.rpm

    これらのファイルは、Fedora 10 上で作成し、テストしています。

    RPM ファイルは GnuPG を使って署名されています。私の公開鍵はこちらから。

    http://getpopfile.org/downloads/naoki_public.key
    http://getpopfile.org/docs/amatubu

    こちらもテストにご協力いただける方を募集しています。

    このパッケージについての説明を書いたページを作成しました。

    http://getpopfile.org/docs/jp:howtos:fedora

    Naoki

    [編集: Wiki へのリンクを追加]

    • Message #877

      こんにちは。RPMになると Linux (RedHat?) でのインストールは便利ですね。
      Fedora 11(x86)で早速インストールしてみました。

      ・ステップ (Terminalから wget で rpm 入手)
      $ wget http://getpopfile.org/downloads/popfile-1.1.1-0.2.rc2.noarch.rpm

      ・インストール (rpm のオプションは初期インストールですが Uvh にしてます) -> 依存モジュールの確認
      $ sudo rpm -Uvh popfile-1.1.1-0.2.rc2.noarch.rpm
      warning: popfile-1.1.1-0.2.rc2.noarch.rpm: Header V4 DSA signature: NOKEY, key ID 74560dba
      error: Failed dependencies:

      kakasi is needed by popfile-1.1.1-0.2.rc2.noarch
      kakasi-dict is needed by popfile-1.1.1-0.2.rc2.noarch
      perl(DBI) is needed by popfile-1.1.1-0.2.rc2.noarch
      perl(Date::Format) is needed by popfile-1.1.1-0.2.rc2.noarch
      perl(Date::Parse) is needed by popfile-1.1.1-0.2.rc2.noarch
      perl(HTML::Template) is needed by popfile-1.1.1-0.2.rc2.noarch
      perl-DBD-SQLite is needed by popfile-1.1.1-0.2.rc2.noarch
      perl-DBI is needed by popfile-1.1.1-0.2.rc2.noarch
      perl-HTML-Template is needed by popfile-1.1.1-0.2.rc2.noarch
      perl-IO-Socket-SSL is needed by popfile-1.1.1-0.2.rc2.noarch
      perl-SOAP-Lite is needed by popfile-1.1.1-0.2.rc2.noarch
      perl-Text-Kakasi is needed by popfile-1.1.1-0.2.rc2.noarch
      perl-TimeDate? is needed by popfile-1.1.1-0.2.rc2.noarch

      ・依存モジュールのダウンロード
      かっこ "(" ")" を含むモジュールの場合は、" 囲う必要あり。私の場合は下記の順序で
      依存性含むモジュールもインストールされました。環境によって違う場合もあるかもしれません。

      $ sudo su - ( or su - )

      # yum -y install kakasi
      # yum -y install kakasi-dict
      # yum -y install "perl(DBI)"
      # yum -y install "perl(Date::Format)"
      # yum -y install "perl(HTML::Template)"
      # yum -y install perl-DBD-SQLite
      # yum -y install perl-IO-Socket-SSL perl-SOAP-Lite perl-Text-Kakasi

      ・再インストール
      # rpm -Uvh popfile-1.1.1-0.2.rc2.noarch.rpm

      ・動作状況の確認

      $ chkconfig --list |grep popfile
      Linuxではメール受信はしていないのですが、POPFile UI の動作までは確認しています。

      以上ちょっと雑ですがご報告まで。

      • Message #878

        早速テストありがとうございます。

        Mandriva Linux 2009 Spring にもインストールしてみたところ、アンインストール時に
        警告がいくつか表示される以外は特に問題なく動きました。
        UI の表示と、telnet を使ったメールの受信、再分類などについてテストしてみました。

        インストール前にいろいろとモジュールをインストールしてしまっていましたので、初期の
        状態からどのモジュールを追加でインストールする必要があったのかはわかりませんでしたが……。

        他に、VineLinux? も試してみましたが、一部の依存モジュールがなく、インストールできて
        いません。

        あと、Debian 用には、かなり古いバージョン(0.22.4)の deb ファイルが存在している
        ようです(Ubuntu では 1.0.1)が、あまりに古すぎますので、1.1.1 のリリースを機に、
        1.1.1 の deb ファイルを公開する予定です(一応もうできてはいるのですが、もう少し
        テストしてからと思っています)。